<?php
require_once (dirname(__FILE__) . '/config.php');
require_once(dirname(__FILE__).'/version.php');
require_once (dirname(__FILE__) . '/i18n.php');

$cache="js-".VERSION."-".$lang.".gz";

error_reporting(E_ALL);
ini_set('display_errors', '1');

$js  =array(
  "js/jquery-1.11.0.min.js",
  "js/pinnwand.js",
  "lightbox/js/jquery.lightbox-0.5.js",
  "lightbox/js/lightbox.js",
  "cleditor/jquery.cleditor.min.js",
);

function compress($s) {
 require_once(dirname(__FILE__).'/minify/JSMin.php');
 $s=JSMin::minify($s);
 $s="\x1f\x8b\x08\x00\x00\x00\x00\x00".gzcompress($s, 9);
 return $s;
}

function create_js($gz) {
 global $js;
 global $lang;
 $s="";
 foreach($js as $j) {
  $s.=file_get_contents(dirname(__FILE__).'/'.$j)."\n";
 }
 $s=compress(i18n(replaceConfigs($s)));
 file_put_contents($gz, $s);
 return $s;
}
ini_set('max_execution_time', '120');

header('Cache-control: max-age='.(60*60*24*365));
header('Content-Type: text/javascript; charset=utf-8');
$gz=dirname(__FILE__).'/'.$cache;
$gz=dirname(__FILE__).'/cache/'.$cache;
if (file_exists(dirname(__FILE__).'/cache/'.$cache)) {
 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strstr($_SERVER['HTTP_ACCEPT_ENCODING'], "gzip")) {
  header("X-Compression: gzip");
  header("Content-Encoding: gzip");
  readfile($gz);
  exit();
 } else {
  echo(gzuncompress(substr(file_get_contents($gz), 8)));
 }
} else {
 $s=create_js($gz);
 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strstr($_SERVER['HTTP_ACCEPT_ENCODING'], "gzip")) {
  header("X-Compression: gzip");
  header("Content-Encoding: gzip");
  echo($s);
 } else {
  echo(gzuncompress(substr($s, 8)));
 }
}
?>
