<?php
require_once (dirname(__FILE__) . '/config.php');
require_once (dirname(__FILE__) . '/version.php');
require_once (dirname(__FILE__) . '/i18n.php');
ob_start("i18n");

header('Content-Type: text/html;charset=UTF-8');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="keywords" content="Pinnwand, Moderiert, Beitrag, Erstellen, Posten, Meinungen, Brett, Veröffentlichen, Anhang, Post-It, NoSql, NoDB, flatfile" />
<meta name="description" content="<?php echo(NAME_PROVIDER); ?> Pinnwand System mit moderierten Beiträgen" />
<meta name="robots" content="index,follow" />
<meta name="revisit-after" content="10 days" />
<meta http-equiv="pragma" content="private" />
<meta http-equiv="pragma" content="no-cache" />
<meta name="content-language" content="<?php echo($lang); ?>" />
<link rel="shortcut icon" href="<?php echo(HTTP_BASE); ?>favicon.ico" />
<title><?php echo(NAME_PROVIDER); ?> Pinnwand</title>
<link href="<?php echo(HTTP_BASE); ?>css.php?v=<?php echo(VERSION); ?>" rel="stylesheet" type="text/css" />
<script src="<?php echo(HTTP_BASE); ?>js.php?v=<?php echo(VERSION); ?>&amp;lang=<?php echo($lang); ?>" type="text/javascript" media="screen"></script>
<link rel="alternate" type="application/atom+xml" title="<?php echo(NAME_PROVIDER); ?> Pinnwand (Activity Feed)" href="<?php echo(HTTP_BASE); ?>atom.php">
</head>
<body>
<div id="add_postit">
<img alt="add" src="<?php echo(HTTP_BASE); ?>add.png" width="85" height="84" title="Einen neuen Beitrag erstellen" />
</div>

<h1><?php echo(NAME_PROVIDER); ?> Pinnwand</h1><div>Schreibt uns hier Eure Meinung. Zudem ist dies eine nützliche Sammlung von zusätzlichen Informationen rund um unser Angebot. Alle Beiträge werden erst durch einen Moderator geprüft und dann erst öffentlich sichtbar gemacht.</div>
<br clear="all" />

<!-- the actual pinnwand system -->
<div id="pinnwand" class="pinnwand">
<div id="messages">
<?php require(dirname(__FILE__).'/messages.php'); ?>
</div>
<div id="dialog">
	<img id="dialog_bg" src="<?php echo(HTTP_BASE); ?>postit.png"
			style="width: 100%; height: 100%; display: none;" />
		<form id="dialog_form" method="get" action="#"
			onsubmit="return false;">
		<?php require(dirname(__FILE__).'/entry.php'); ?>
		<div id="status"></div>
		</form>
		<button id="dialog_close" title="Schließen">x</button>
	</div>
</div>
<!-- end of the actual pinnwand system, notice cron.php at end of file, too! -->

<p>Bitte die <a href="netiquette_de.php" target="_blank">Netiquette für alle Einträge auf dieser <?php echo(NAME_PROVIDER); ?> Pinnwand</a> beachten!</p><br clear="all" />
<br />

</body>
</html>
<?php // important: must be last in this file 
require(dirname(__FILE__) . '/cron.php'); ?>
