<?php
require_once (dirname(__FILE__) . '/config.php');
header('Content-Type: text/html;charset=UTF-8');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="keywords" content="Pinnwand, Netiquette, Regeln, Verhalten" />
<meta name="description" content="Netiquette der Pinnwand" />
<meta name="robots" content="index,follow" />
<meta name="revisit-after" content="10 days" />
<meta http-equiv="pragma" content="private" />
<meta http-equiv="pragma" content="no-cache" />
<meta name="content-language" content="de" />
<link rel="shortcut icon" href="<?php echo(HTTP_BASE); ?>favicon.ico" />
<title>Netiquette zur Pinnwand</title>
<link href="<?php echo(HTTP_BASE); ?>css.php?v=1.0" rel="stylesheet" type="text/css" />
</head>
<body><h1>Netiquette zur Pinnwand</h1>
<p>
<a href="http://www.emphasize-it.de" title="Entwickelt von Emphasize IT, Freiberuflicher Software Entwickler Martin Hartnagel" target="_blank">Emphasize IT</a> bietet diese Pinnwand als Demo auf seiner Showroom-Webseite an. Einträge und Inhalte sollen sich daher an einem potentiellen Interesse von allen Besuchern der Webseite orientieren.
</p>
<p>
Ein neuer Eintrag kann durch einen Verfasser nur dann erstellt werden, wenn eine Quizz-Frage korrekt beantwortet wurde. Dies soll einen Missbrauch durch Schadsoftware einschränken. 
</p>
<p>
Im Interesse aller Besucher behält sich Martin Hartnagel als Moderator dieser Demo-Pinnwand vor, Beiträge nach der Veröffentlichung zu prüfen und gegebenenfalls zu editieren oder abzulehnen.
Die Prüfung kann in Ausnahmefällen einige Stunden oder Tage in Anspruch nehmen. Bei Aktivierung oder Ablehnung eines Eintrags werden die Verfasser per E-Mail verständigt. 
</p>
<p>
Einträge haben eine begrenzte Gültigkeit. Ein Tag vor Ablauf dieser Gültigkeit wird der Verfasser per E-Mail informiert und kann die Gültigkeit verlängern. Ist die Gültigkeit abgelaufen, kann der Eintrag nicht mehr verlängert werden.
</p>
<h2>Regeln</h2>
<ol>
<li>Einträge sind in deutscher Sprache zu verfassen. Bitte beachten Sie die Rechtschreibung und Interpunktion. Beiträge mit zu vielen sprachlichen Fehlern, falschem Satzbau, durchgehender Klein- oder Großschreibung, Hervorhebungen, übertriebener Zeichensetzung, fehlenden Abständen, unüblichen Abkürzungen, Smilies oder anderen Chat-Symbolen können wir leider nicht veröffentlichen.</li>
<li>Besonderen Wert legen wir auf einen sachlichen Stil, einen freundlichen Ton, Toleranz und den Respekt vor anderen Meinungen.</li>
<li>Einträge werden gelöscht, wenn sie andere etwa wegen ihres Geschlechts, ihres Alters, ihrer Sprache, ihrer Abstammung, ihrer religiösen Zugehörigkeit oder ihrer Weltanschauung diskriminieren.</li>
<li>Demagogische, sexistische oder rassistische Äußerungen führen zur sofortigen Löschung des Eintrags.</li>
</ol>
<p>
Emphasize IT haftet nicht für den Inhalt von Nutzerbeiträgen und verweist auf die Eigenverantwortung der Leser für ihre Beiträge.
Hinweise zu Einträgen auf der Pinnwand, die gegen unsere Nutzungsbestimmungen verstoßen, nehmen wir gerne unter <?php echo(escapeMailto(EMAIL_PROVIDER)); ?> entgegen.</p></div>
</div>
</body>
</html>
